# IP Address

## Endpoints

| Method | URL                                  |
| ------ | ------------------------------------ |
| POST   | `$synapses`**/v1/account/screening** |

### Headers

| Header          | Value                                           |
| --------------- | ----------------------------------------------- |
| `Content-Type`  | `application/json`                              |
| `Authorization` | `Bearer` [`YOUR_API_KEY`](/authentication-1.md) |

### **Request**

{% tabs %}
{% tab title="Description" %}

| Field                                         | Type                                                                          | Description                  |
| --------------------------------------------- | ----------------------------------------------------------------------------- | ---------------------------- |
| <p>ipAddress </p><p><code>required</code></p> | <p><code>String</code> </p><p><strong><code>(IPv4 format)</code></strong></p> | IP address you want to check |
| {% endtab %}                                  |                                                                               |                              |

{% tab title="Example" %}

```
{
	"ipAddress": "159.253.145.183"
}
```

{% endtab %}
{% endtabs %}

### **Response**

{% tabs %}
{% tab title="Description" %}

| Field              | Type          | Description                                                               |
| ------------------ | ------------- | ------------------------------------------------------------------------- |
| as&#xD;            | `String`      | Autonomous system number and organization, separated by space (RIR).&#xD; |
| asname             | `String`&#xD; | Autonomous system name (RIR).&#xD;                                        |
| city               | `String`&#xD; | City name.&#xD;                                                           |
| continent&#xD;     | `String`&#xD; | Continent name.&#xD;                                                      |
| continentCode&#xD; | `String`&#xD; | Two-character continent code.&#xD;                                        |
| country&#xD;       | `String`&#xD; | Country name.&#xD;                                                        |
| countryCode&#xD;   | `String`&#xD; | Two-letter country code ISO 3166-1 alpha-2.&#xD;                          |
| currency           | `String`&#xD; | National currency.&#xD;                                                   |
| district&#xD;      | `String`      | District name.&#xD;                                                       |
| isp&#xD;           | `String`      | ISP name.&#xD;                                                            |
| lat                | `Float`       | Latitude.&#xD;                                                            |
| lon                | `Float`       | Longitude.&#xD;                                                           |
| org&#xD;           | `String`&#xD; | Organization name.&#xD;                                                   |
| regionName&#xD;    | `String`&#xD; | Region name.&#xD;                                                         |
| timezone           | `String`&#xD; | Time zone.&#xD;                                                           |
| zip&#xD;           | `String`&#xD; | Zip code.&#xD;                                                            |
| {% endtab %}       |               |                                                                           |

{% tab title="Example" %}

```
{
    "message": "Account Screening - Single.",
    "data": {
        "id": "28b78927-8546-45fd-ba9f-17239bf366a9",
        "score": -15,
        "status": "review",
        "ipDetails": {
            "ipAddress": "159.253.145.183",
            "as": "AS36351 SoftLayer Technologies Inc.",
            "asname": "SOFTLAYER",
            "city": "Amsterdam",
            "continent": "Europe",
            "continentCode": "EU",
            "country": "Netherlands",
            "countryCode": "NL",
            "currency": "EUR",
            "district": "",
            "isp": "SoftLayer",
            "lat": 52.3759,
            "org": "Hosting Services Inc. (dba Midphase)",
            "region": "NH",
            "regionName": "North Holland",
            "timezone": "Europe/Amsterdam",
            "zip": "1012",
            "isProxy": true,
            "isMobile": false,
            "isHosting": true,
            "isWhitelist": false,
            "isBlacklist": true,
            "score": -15
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kredibel.io/api-references/account-screening/ip-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
